# $Revision: 1.18 $, $Date: 2010/01/28 17:00:47 $
Summary:	A generic SVG library
Summary(pl.UTF-8):	Ogólna biblioteka SVG
Name:		libsvg
Version:	0.1.4
Release:	10
License:	LGPL
Group:		Libraries
Source0:	http://cairographics.org/snapshots/%{name}-%{version}.tar.gz
# Source0-md5:	ce0715e3013f78506795fba16e8455d3
Patch0:		%{name}-link.patch
Patch1:		%{name}-pkgconfig.patch
Patch2:		%{name}-lt.patch
URL:		http://www.xsvg.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 1.2.4
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	pkgconfig
Requires:	libxml2 >= 1:2.6.26
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libsvg provides a parser for SVG content in files or buffers. It
doesn't do any rendering, but instead provides a function-based
interface that can be used by various rendering engines.

%description -l pl.UTF-8
libsvg udostępnia parser dla danych SVG z plików lub buforów. Nie
wykonuje żadnego renderingu, dostarcza jedynie oparty na funkcjach
interfejs, który można wykorzystać w różnych silnikach renderujących.

%package devel
Summary:	Header files for libsvg library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libsvg
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libjpeg-devel
Requires:	libpng-devel
Requires:	libxml2-devel >= 1:2.6.26

%description devel
Header files for libsvg library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libsvg.

%package static
Summary:	Static libsvg library
Summary(pl.UTF-8):	Statyczna biblioteka libsvg
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libsvg library.

%description static -l pl.UTF-8
Statyczna biblioteka libsvg.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
LDFLAGS="%{rpmldflags} -Wl,--as-needed"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libsvg.spec,v $
Revision 1.18  2010/01/28 17:00:47  arekm
- rel 10; fix libpng link

Revision 1.17  2010/01/28 16:47:35  arekm
- release 9

Revision 1.16  2009/07/11 19:55:51  arekm
- release 8

Revision 1.15  2009/05/13 14:16:05  baggins
- rel 7
- fix building with current libtool

Revision 1.14  2009/05/07 15:30:14  baggins
- rel 6

Revision 1.13  2008/07/27 22:23:24  arekm
- release 5

Revision 1.12  2007-02-13 06:46:52  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.10  2006/07/11 20:43:53  freetz
- pkgconfig patch added, rel.4

Revision 1.9  2006/07/11 20:33:44  freetz
- rel.3 (fixed link.patch), pass --as-needed to LDFLAGS

Revision 1.8  2006/07/09 19:13:10  pluto
- release 2 for kill libpng12.la deps.

Revision 1.7  2005/06/19 08:45:48  qboosh
- updated to 0.1.4, updated link patch

Revision 1.6  2005/05/05 16:02:54  pluto
- release 2 for Th.

Revision 1.5  2005/02/19 00:51:42  qboosh
- strict internal deps

Revision 1.4  2005/02/19 00:49:54  qboosh
- updated to 0.1.3

Revision 1.3  2003/12/09 22:33:59  qboosh
- 0.1.2, updated link patch

Revision 1.2  2003/11/24 21:36:56  qboosh
- added link patch and missing BR+R libjpeg-devel,libpng-devel

Revision 1.1  2003/11/24 21:05:57  qboosh
- new
